## kglobalaccel 5.100.0

=== debian/changelog ===
kglobalaccel (5.100.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.99.0).
  * Update build-deps and deps with the info from cmake.
  * New upstream release (5.100.0).
  * Update build-deps and deps with the info from cmake.
  * Refresh copyright information.

 -- Aurélien COUDERC <coucouf@debian.org>  Sat, 19 Nov 2022 23:19:02 +0100

kglobalaccel (5.98.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.98.0).
  * Update build-deps and deps with the info from cmake.
  * Update symbols from build for 5.98.0.

 -- Aurélien COUDERC <coucouf@debian.org>  Sun, 18 Sep 2022 23:11:44 +0200

kglobalaccel (5.97.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.97.0).

 -- Aurélien COUDERC <coucouf@debian.org>  Sun, 14 Aug 2022 18:55:35 +0200

kglobalaccel (5.96.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.96.0).
  * Refresh lintian overrides.
  * Update symbols from build for 5.96.0.

 -- Aurélien COUDERC <coucouf@debian.org>  Sun, 31 Jul 2022 13:33:04 +0200

kglobalaccel (5.94.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.94.0).
  * Update build dependencies according to the upstream build system.
  * Update symbols from build for 5.94.0.

 -- Aurélien COUDERC <coucouf@debian.org>  Thu, 19 May 2022 23:59:05 +0200

kglobalaccel (5.93.0-2) unstable; urgency=medium

  * Team upload.
  * Bump Standards-Version to 4.6.1, no changes required.
  * Modernize building:
    - add the dh-sequence-kf5 build dependency to use the kf5 addon
      automatically
    - drop all the manually specified addons and buildsystem for dh
  * Remove the unused debian/meta/ stuff.
  * Remove inactive Uploaders.
  * Drop the 'testsuite' autopkgtest, as it does not test the installed
    packages.
  * CI: enable again the blhc job.
  * Remove the unused ${shlibs:Depends} substvar from libkf5globalaccel-data.
  * Run the test suite at build time, as it seems to pass:
    - add the xauth, and xvfb build dependencies
    - run dh_auto_test using xvfb-run

 -- Pino Toscano <pino@debian.org>  Sun, 15 May 2022 10:32:41 +0200

kglobalaccel (5.93.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.93.0).
  * Update the list of installed files from build logs.

 -- Aurélien COUDERC <coucouf@debian.org>  Wed, 11 May 2022 23:22:46 +0200

kglobalaccel (5.90.0-1) unstable; urgency=medium

  [ Norbert Preining ]
  * New upstream release (5.89.0).

  [ Aurélien COUDERC ]
  * New upstream release (5.90.0).
  * Added myself to the uploaders.
  * Update symbols from build for 5.90.0.
  * Refresh lintian override for libkf5globalaccel5.

 -- Aurélien COUDERC <coucouf@debian.org>  Fri, 11 Feb 2022 23:46:43 +0100

=== debian/control ===
Source: kglobalaccel
Section: libs
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Aurélien COUDERC <coucouf@debian.org>
Build-Depends: cmake (>= 3.16~),
               debhelper-compat (= 13),
               dh-sequence-kf5,
               doxygen,
               extra-cmake-modules (>= 5.100.0~),
               libkf5config-dev (>= 5.100.0~),
               libkf5coreaddons-dev (>= 5.100.0~),
               libkf5crash-dev (>= 5.100.0~),
               libkf5dbusaddons-dev (>= 5.100.0~),
               libkf5windowsystem-dev (>= 5.100.0~),
               libqt5sql5-sqlite,
               libqt5x11extras5-dev (>= 5.15.2~),
               libx11-dev,
               libxcb-keysyms1-dev,
               libxcb-record0-dev,
               libxcb-xkb-dev,
               libxcb-xtest0-dev,
               libxcb1-dev,
               pkg-config,
               pkg-kde-tools (>= 0.15.15ubuntu1~),
               qtbase5-dev (>= 5.15.2~),
               qtdeclarative5-dev <!nocheck>,
               qttools5-dev,
               qttools5-dev-tools,
               xauth <!nocheck>,
               xvfb <!nocheck>,
Standards-Version: 4.6.1
Homepage: https://invent.kde.org/frameworks/kglobalaccel
Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kglobalaccel
Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kglobalaccel.git
Rules-Requires-Root: no

Package: libkf5globalaccel-bin
Architecture: any
Depends: libkf5globalaccel-data (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Description: Configurable global shortcut support.
 KGlobalAccel allows you to have global accelerators that are
 independent of the focused window. Unlike regular shortcuts,
 the application's window does not need focus for them to be
 activated.
 .
 This package contains binaries.

Package: libkf5globalaccel-data
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Description: Configurable global shortcut support.
 KGlobalAccel allows you to have global accelerators that are
 independent of the focused window. Unlike regular shortcuts,
 the application's window does not need focus for them to be
 activated.
 .
 This package contains data files.

Package: libkf5globalaccel-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: libkf5globalaccel5 (= ${binary:Version}),
         libkf5globalaccelprivate5 (= ${binary:Version}),
         qtbase5-dev (>= 5.15.2~),
         ${misc:Depends},
Recommends: libkf5globalaccel-doc (= ${source:Version})
Description: development files for kglobalaccel
 KGlobalAccel allows you to have global accelerators that are
 independent of the focused window. Unlike regular shortcuts,
 the application's window does not need focus for them to be
 activated.
 .
 Contains development files for kglobalaccel.

Package: libkf5globalaccel-doc
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Description: Configurable global shortcut support (documentation)
 KGlobalAccel allows you to have global accelerators that are
 independent of the focused window. Unlike regular shortcuts,
 the application's window does not need focus for them to be
 activated.
 .
 This package contains the qch documentation files.
Section: doc

Package: libkf5globalaccel5
Architecture: any
Multi-Arch: same
Depends: libkf5globalaccel-data (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Recommends: libkf5globalaccel-bin (= ${binary:Version})
Description: Configurable global shortcut support.
 KGlobalAccel allows you to have global accelerators that are
 independent of the focused window. Unlike regular shortcuts,
 the application's window does not need focus for them to be
 activated.

Package: libkf5globalaccelprivate5
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Configurable global shortcut support - private runtime library
 KGlobalAccel allows you to have global accelerators that are
 independent of the focused window. Unlike regular shortcuts,
 the application's window does not need focus for them to be
 activated.
 .
 This library is considered private and must not be used by users of
 KGlobalAccel.

## kglobalaccel 5.101.0

=== debian/changelog ===
kglobalaccel (5.101.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.101.0).
  * Update build-deps and deps with the info from cmake.

 -- Aurélien COUDERC <coucouf@debian.org>  Tue, 13 Dec 2022 07:40:30 +0100

=== debian/control ===
--- 
+++ 
@@ -7,12 +7,12 @@
                debhelper-compat (= 13),
                dh-sequence-kf5,
                doxygen,
-               extra-cmake-modules (>= 5.100.0~),
-               libkf5config-dev (>= 5.100.0~),
-               libkf5coreaddons-dev (>= 5.100.0~),
-               libkf5crash-dev (>= 5.100.0~),
-               libkf5dbusaddons-dev (>= 5.100.0~),
-               libkf5windowsystem-dev (>= 5.100.0~),
+               extra-cmake-modules (>= 5.101.0~),
+               libkf5config-dev (>= 5.101.0~),
+               libkf5coreaddons-dev (>= 5.101.0~),
+               libkf5crash-dev (>= 5.101.0~),
+               libkf5dbusaddons-dev (>= 5.101.0~),
+               libkf5windowsystem-dev (>= 5.101.0~),
                libqt5sql5-sqlite,
                libqt5x11extras5-dev (>= 5.15.2~),
                libx11-dev,

## kglobalaccel 5.103.0

=== src/runtime/CMakeLists.txt ===
###############################################################################
### KDED Global Accel Daemon

set(kglobalaccelprivate_SRCS
    kglobalacceld.cpp
    kglobalaccel_interface.cpp
    kserviceactioncomponent.cpp
    component.cpp
    logging.cpp
    globalshortcut.cpp
    globalshortcutsregistry.cpp
    globalshortcutcontext.cpp
    ../sequencehelpers_p.cpp
)
ecm_create_qm_loader(kglobalaccelprivate_SRCS kglobalaccel5_qt)

configure_file(config-kglobalaccel.h.cmake ${CMAKE_CURRENT_BINARY_DIR}/config-kglobalaccel.h )

add_library(KF5GlobalAccelPrivate ${kglobalaccelprivate_SRCS})
add_library(KF5::GlobalAccelPrivate ALIAS KF5GlobalAccelPrivate)
ecm_generate_export_header(KF5GlobalAccelPrivate
    EXPORT_FILE_NAME kf5globalaccelprivate_export.h
    BASE_NAME KGlobalAccelPrivate
    GROUP_BASE_NAME KF
    VERSION ${KF_VERSION}
    DEPRECATED_BASE_VERSION 0
    DEPRECATION_VERSIONS 4.3 5.90
    EXCLUDE_DEPRECATED_BEFORE_AND_AT ${EXCLUDE_DEPRECATED_BEFORE_AND_AT}
)

target_include_directories(KF5GlobalAccelPrivate INTERFACE "$<INSTALL_INTERFACE:${KDE_INSTALL_INCLUDEDIR_KF}/KGlobalAccel>")

target_link_libraries(KF5GlobalAccelPrivate
    PUBLIC
        Qt${QT_MAJOR_VERSION}::DBus
        KF5::GlobalAccel
        KF5::WindowSystem # KKeyServer
        KF5::CoreAddons   # KAboutData
        KF5::ConfigCore
)

set_target_properties(KF5GlobalAccelPrivate PROPERTIES VERSION ${KGLOBALACCEL_VERSION}
                                                SOVERSION ${KGLOBALACCEL_SOVERSION}
                                                EXPORT_NAME "GlobalAccelPrivate"
)

if(XCB_XCB_FOUND)
    if (TARGET Qt5::X11Extras)
        target_link_libraries(KF5GlobalAccelPrivate PUBLIC Qt5::X11Extras)
    elseif (TARGET Qt6::Gui)
        target_link_libraries(KF5GlobalAccelPrivate PUBLIC Qt6::GuiPrivate) # qtx11extras_p.h
    endif()
endif()

add_executable(kglobalaccel5 main.cpp logging.cpp)
ecm_mark_nongui_executable(kglobalaccel5)

target_include_directories(kglobalaccel5 PRIVATE ${CMAKE_BINARY_DIR})

target_link_libraries(kglobalaccel5
    KF5GlobalAccelPrivate
    KF5::DBusAddons   # KDBusService
    KF5::Crash
    )

add_subdirectory(plugins)

# Install application and configuration
install(TARGETS KF5GlobalAccelPrivate EXPORT KF5GlobalAccelTargets ${KF_INSTALL_TARGETS_DEFAULT_ARGS} LIBRARY NAMELINK_SKIP)
install( TARGETS kglobalaccel5 ${KF_INSTALL_TARGETS_DEFAULT_ARGS} )

if(NOT EXCLUDE_DEPRECATED_BEFORE_AND_AT STREQUAL "CURRENT" AND EXCLUDE_DEPRECATED_BEFORE_AND_AT VERSION_LESS 5.102.0)
    install( FILES kglobalaccel.desktop  DESTINATION ${KDE_INSTALL_KSERVICESDIR} RENAME kglobalaccel5.desktop)
endif()

install(FILES
  ${CMAKE_CURRENT_BINARY_DIR}/kf5globalaccelprivate_export.h
  kglobalacceld.h
  kglobalaccel_interface.h
  DESTINATION ${KDE_INSTALL_INCLUDEDIR_KF}/KGlobalAccel/private COMPONENT Devel
)

# D-Bus activation service file, and associated systemd service
include (ECMGenerateDBusServiceFile)
include (ECMConfiguredInstall)
ecm_generate_dbus_service_file(
   NAME org.kde.kglobalaccel
   EXECUTABLE "${KDE_INSTALL_FULL_BINDIR}/kglobalaccel5"
   SYSTEMD_SERVICE plasma-kglobalaccel.service
   DESTINATION ${KDE_INSTALL_DBUSSERVICEDIR}
)

ecm_install_configured_files(
   INPUT plasma-kglobalaccel.service.in
   DESTINATION ${KDE_INSTALL_SYSTEMDUSERUNITDIR}
)

=== debian/changelog ===
kglobalaccel (5.103.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.103.0).
  * Update build-deps and deps with the info from cmake.

 -- Aurélien COUDERC <coucouf@debian.org>  Sun, 12 Feb 2023 21:44:28 +0100

kglobalaccel (5.102.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.102.0).
  * Update build-deps and deps with the info from cmake.
  * Bump Standards-Version to 4.6.2, no change required.

 -- Aurélien COUDERC <coucouf@debian.org>  Sun, 22 Jan 2023 21:35:06 +0100

=== debian/control ===
--- 
+++ 
@@ -2,17 +2,17 @@
 Section: libs
 Priority: optional
 Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
-Uploaders: Aurélien COUDERC <coucouf@debian.org>
+Uploaders: Aurélien COUDERC <coucouf@debian.org>,
 Build-Depends: cmake (>= 3.16~),
                debhelper-compat (= 13),
                dh-sequence-kf5,
                doxygen,
-               extra-cmake-modules (>= 5.101.0~),
-               libkf5config-dev (>= 5.101.0~),
-               libkf5coreaddons-dev (>= 5.101.0~),
-               libkf5crash-dev (>= 5.101.0~),
-               libkf5dbusaddons-dev (>= 5.101.0~),
-               libkf5windowsystem-dev (>= 5.101.0~),
+               extra-cmake-modules (>= 5.103.0~),
+               libkf5config-dev (>= 5.103.0~),
+               libkf5coreaddons-dev (>= 5.103.0~),
+               libkf5crash-dev (>= 5.103.0~),
+               libkf5dbusaddons-dev (>= 5.103.0~),
+               libkf5windowsystem-dev (>= 5.103.0~),
                libqt5sql5-sqlite,
                libqt5x11extras5-dev (>= 5.15.2~),
                libx11-dev,
@@ -29,7 +29,7 @@
                qttools5-dev-tools,
                xauth <!nocheck>,
                xvfb <!nocheck>,
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Homepage: https://invent.kde.org/frameworks/kglobalaccel
 Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kglobalaccel
 Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kglobalaccel.git
@@ -51,7 +51,7 @@
 Package: libkf5globalaccel-data
 Architecture: all
 Multi-Arch: foreign
-Depends: ${misc:Depends}
+Depends: ${misc:Depends},
 Description: Configurable global shortcut support.
  KGlobalAccel allows you to have global accelerators that are
  independent of the focused window. Unlike regular shortcuts,
@@ -68,7 +68,7 @@
          libkf5globalaccelprivate5 (= ${binary:Version}),
          qtbase5-dev (>= 5.15.2~),
          ${misc:Depends},
-Recommends: libkf5globalaccel-doc (= ${source:Version})
+Recommends: libkf5globalaccel-doc (= ${source:Version}),
 Description: development files for kglobalaccel
  KGlobalAccel allows you to have global accelerators that are
  independent of the focused window. Unlike regular shortcuts,
@@ -80,7 +80,7 @@
 Package: libkf5globalaccel-doc
 Architecture: all
 Multi-Arch: foreign
-Depends: ${misc:Depends}
+Depends: ${misc:Depends},
 Description: Configurable global shortcut support (documentation)
  KGlobalAccel allows you to have global accelerators that are
  independent of the focused window. Unlike regular shortcuts,
@@ -96,7 +96,7 @@
 Depends: libkf5globalaccel-data (= ${source:Version}),
          ${misc:Depends},
          ${shlibs:Depends},
-Recommends: libkf5globalaccel-bin (= ${binary:Version})
+Recommends: libkf5globalaccel-bin (= ${binary:Version}),
 Description: Configurable global shortcut support.
  KGlobalAccel allows you to have global accelerators that are
  independent of the focused window. Unlike regular shortcuts,
@@ -106,7 +106,7 @@
 Package: libkf5globalaccelprivate5
 Architecture: any
 Multi-Arch: same
-Depends: ${misc:Depends}, ${shlibs:Depends}
+Depends: ${misc:Depends}, ${shlibs:Depends},
 Description: Configurable global shortcut support - private runtime library
  KGlobalAccel allows you to have global accelerators that are
  independent of the focused window. Unlike regular shortcuts,

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@ --with pkgkde_symbolshelper

override_dh_auto_configure:
	dh_auto_configure -- -DBUILD_QCH=ON

override_dh_shlibdeps:
	dh_shlibdeps -- -xlibkf5globalaccel-bin

override_dh_auto_test:
	xvfb-run -a dh_auto_test

## kglobalaccel 5.104.0

=== debian/changelog ===
kglobalaccel (5.104.0-1) experimental; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.104.0).
  * Update build-deps and deps with the info from cmake.

 -- Aurélien COUDERC <coucouf@debian.org>  Wed, 15 Mar 2023 16:09:57 +0100

=== debian/control ===
--- 
+++ 
@@ -7,12 +7,12 @@
                debhelper-compat (= 13),
                dh-sequence-kf5,
                doxygen,
-               extra-cmake-modules (>= 5.103.0~),
-               libkf5config-dev (>= 5.103.0~),
-               libkf5coreaddons-dev (>= 5.103.0~),
-               libkf5crash-dev (>= 5.103.0~),
-               libkf5dbusaddons-dev (>= 5.103.0~),
-               libkf5windowsystem-dev (>= 5.103.0~),
+               extra-cmake-modules (>= 5.104.0~),
+               libkf5config-dev (>= 5.104.0~),
+               libkf5coreaddons-dev (>= 5.104.0~),
+               libkf5crash-dev (>= 5.104.0~),
+               libkf5dbusaddons-dev (>= 5.104.0~),
+               libkf5windowsystem-dev (>= 5.104.0~),
                libqt5sql5-sqlite,
                libqt5x11extras5-dev (>= 5.15.2~),
                libx11-dev,

## kglobalaccel 5.107.0

=== debian/changelog ===
kglobalaccel (5.107.0-2) unstable; urgency=medium

  * Team upload.
  * Modernize the building more:
    - add the dh-sequence-pkgkde-symbolshelper build dependency to use the
      pkgkde_symbolshelper automatically, removing pkg-kde-tools
    - drop the manually specified pkgkde_symbolshelper addon for dh
  * Require the qtdeclarative5-dev build dependency every time (and not only
    in <!nocheck> builds), so cmake runs fine in all the cases.
    (Closes: #1023942)
  * Remove an obsolete maintscript entry.

 -- Pino Toscano <pino@debian.org>  Sat, 24 Jun 2023 07:55:15 +0200

kglobalaccel (5.107.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.105.0).
  * Update build-deps and deps with the info from cmake.
  * Update symbols from build for 5.105.0.
  * New upstream release (5.107.0).
  * Update build-deps and deps with the info from cmake.
  * Release to unstable.

 -- Aurélien COUDERC <coucouf@debian.org>  Sun, 18 Jun 2023 16:08:39 +0200

=== debian/control ===
--- 
+++ 
@@ -6,13 +6,14 @@
 Build-Depends: cmake (>= 3.16~),
                debhelper-compat (= 13),
                dh-sequence-kf5,
+               dh-sequence-pkgkde-symbolshelper,
                doxygen,
-               extra-cmake-modules (>= 5.104.0~),
-               libkf5config-dev (>= 5.104.0~),
-               libkf5coreaddons-dev (>= 5.104.0~),
-               libkf5crash-dev (>= 5.104.0~),
-               libkf5dbusaddons-dev (>= 5.104.0~),
-               libkf5windowsystem-dev (>= 5.104.0~),
+               extra-cmake-modules (>= 5.107.0~),
+               libkf5config-dev (>= 5.107.0~),
+               libkf5coreaddons-dev (>= 5.107.0~),
+               libkf5crash-dev (>= 5.107.0~),
+               libkf5dbusaddons-dev (>= 5.107.0~),
+               libkf5windowsystem-dev (>= 5.107.0~),
                libqt5sql5-sqlite,
                libqt5x11extras5-dev (>= 5.15.2~),
                libx11-dev,
@@ -22,9 +23,8 @@
                libxcb-xtest0-dev,
                libxcb1-dev,
                pkg-config,
-               pkg-kde-tools (>= 0.15.15ubuntu1~),
                qtbase5-dev (>= 5.15.2~),
-               qtdeclarative5-dev <!nocheck>,
+               qtdeclarative5-dev,
                qttools5-dev,
                qttools5-dev-tools,
                xauth <!nocheck>,

=== debian/rules ===
--- 
+++ 
@@ -4,7 +4,7 @@
 export DEB_BUILD_MAINT_OPTIONS = hardening=+all
 
 %:
-	dh $@ --with pkgkde_symbolshelper
+	dh $@
 
 override_dh_auto_configure:
 	dh_auto_configure -- -DBUILD_QCH=ON

## kglobalaccel 5.109.0

=== debian/changelog ===
kglobalaccel (5.109.0-0ubuntu1) mantic; urgency=medium

  * New upstream release (5.109.0)

 -- Rik Mills <rikmills@kde.org>  Fri, 18 Aug 2023 05:48:57 +0100

kglobalaccel (5.108.0-0ubuntu1) mantic; urgency=medium

  * New upstream release (5.108.0)

 -- Rik Mills <rikmills@kde.org>  Sat, 08 Jul 2023 12:19:49 +0100

kglobalaccel (5.107.0-0ubuntu1) mantic; urgency=medium

  * New upstream release (5.107.0)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Sat, 10 Jun 2023 21:05:18 +0100

kglobalaccel (5.106.0-0ubuntu1) mantic; urgency=medium

  [ Rik Mills ]
  * New upstream release (5.106.0)

  [ José Manuel Santamaría Lema ]
  * Update symbols files, remove private missing symbols

 -- Rik Mills <rikmills@kde.org>  Tue, 16 May 2023 16:45:32 +0100

kglobalaccel (5.104.0-0ubuntu1) lunar; urgency=medium

  * New upstream release (5.104.0)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Mon, 13 Mar 2023 13:16:14 +0000

kglobalaccel (5.103.0-0ubuntu1) lunar; urgency=medium

  * New upstream release (5.103.0)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Wed, 15 Feb 2023 13:43:08 +0000

kglobalaccel (5.102.0-0ubuntu1) lunar; urgency=medium

  * New upstream release (5.102.0)

 -- Rik Mills <rikmills@kde.org>  Sun, 05 Feb 2023 15:56:51 +0000

kglobalaccel (5.101.0-0ubuntu1) lunar; urgency=medium

  * New upstream release (5.101.0)

 -- Rik Mills <rikmills@kde.org>  Sat, 10 Dec 2022 13:20:16 +0000

kglobalaccel (5.100.0-0ubuntu1) lunar; urgency=medium

  * New upstream release (5.100.0)

 -- Rik Mills <rikmills@kde.org>  Tue, 15 Nov 2022 17:14:45 +0000

kglobalaccel (5.99.0-0ubuntu1) lunar; urgency=medium

  * New upstream release (5.99.0)

 -- Rik Mills <rikmills@kde.org>  Mon, 31 Oct 2022 10:59:03 +0000

=== debian/control ===
Source: kglobalaccel
Section: libs
Priority: optional
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Norbert Preining <norbert@preining.info>
Build-Depends: cmake (>= 3.16~),
               debhelper-compat (= 13),
               doxygen,
               extra-cmake-modules (>= 5.109.0~),
               libkf5config-dev (>= 5.109.0~),
               libkf5coreaddons-dev (>= 5.109.0~),
               libkf5crash-dev (>= 5.109.0~),
               libkf5dbusaddons-dev (>= 5.109.0~),
               libkf5windowsystem-dev (>= 5.109.0~),
               libqt5sql5-sqlite,
               libqt5x11extras5-dev (>= 5.15.2~),
               libx11-dev,
               libxcb-keysyms1-dev,
               libxcb-record0-dev,
               libxcb-xkb-dev,
               libxcb-xtest0-dev,
               libxcb1-dev,
               pkg-config,
               pkg-kde-tools (>= 0.15.15ubuntu1~),
               qtbase5-dev (>= 5.15.2~),
               qtdeclarative5-dev,
               qttools5-dev,
               qttools5-dev-tools,
Standards-Version: 4.6.0
Homepage: https://invent.kde.org/frameworks/kglobalaccel
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kglobalaccel
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kglobalaccel
Rules-Requires-Root: no

Package: libkf5globalaccel-bin
Architecture: any
Depends: libkf5globalaccel-data (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Breaks: libkf5globalaccel-data (<< 5.77.0-3~)
Replaces: libkf5globalaccel-data (<< 5.77.0-3~)
Description: Configurable global shortcut support.
 KGlobalAccel allows you to have global accelerators that are
 independent of the focused window. Unlike regular shortcuts,
 the application's window does not need focus for them to be
 activated.
 .
 This package contains binaries.

Package: libkf5globalaccel-data
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Configurable global shortcut support.
 KGlobalAccel allows you to have global accelerators that are
 independent of the focused window. Unlike regular shortcuts,
 the application's window does not need focus for them to be
 activated.
 .
 This package contains data files.

Package: libkf5globalaccel-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: libkf5globalaccel5 (= ${binary:Version}),
         libkf5globalaccelprivate5 (= ${binary:Version}),
         qtbase5-dev (>= 5.15.2~),
         ${misc:Depends},
Recommends: libkf5globalaccel-doc (= ${source:Version})
Description: development files for kglobalaccel
 KGlobalAccel allows you to have global accelerators that are
 independent of the focused window. Unlike regular shortcuts,
 the application's window does not need focus for them to be
 activated.
 .
 Contains development files for kglobalaccel.

Package: libkf5globalaccel-doc
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Description: Configurable global shortcut support (documentation)
 KGlobalAccel allows you to have global accelerators that are
 independent of the focused window. Unlike regular shortcuts,
 the application's window does not need focus for them to be
 activated.
 .
 This package contains the qch documentation files.
Section: doc

Package: libkf5globalaccel5
Architecture: any
Multi-Arch: same
Depends: libkf5globalaccel-data (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Recommends: libkf5globalaccel-bin (= ${binary:Version})
Description: Configurable global shortcut support.
 KGlobalAccel allows you to have global accelerators that are
 independent of the focused window. Unlike regular shortcuts,
 the application's window does not need focus for them to be
 activated.

Package: libkf5globalaccelprivate5
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Configurable global shortcut support - private runtime library
 KGlobalAccel allows you to have global accelerators that are
 independent of the focused window. Unlike regular shortcuts,
 the application's window does not need focus for them to be
 activated.
 .
 This library is considered private and must not be used by users of
 KGlobalAccel.

## kglobalaccel 5.110.0

=== debian/changelog ===
kglobalaccel (5.110.0-0ubuntu1) mantic; urgency=medium

  * New upstream release (5.110.0)

 -- Rik Mills <rikmills@kde.org>  Sun, 10 Sep 2023 00:06:30 +0100

=== debian/control ===
--- 
+++ 
@@ -7,12 +7,12 @@
 Build-Depends: cmake (>= 3.16~),
                debhelper-compat (= 13),
                doxygen,
-               extra-cmake-modules (>= 5.109.0~),
-               libkf5config-dev (>= 5.109.0~),
-               libkf5coreaddons-dev (>= 5.109.0~),
-               libkf5crash-dev (>= 5.109.0~),
-               libkf5dbusaddons-dev (>= 5.109.0~),
-               libkf5windowsystem-dev (>= 5.109.0~),
+               extra-cmake-modules (>= 5.110.0~),
+               libkf5config-dev (>= 5.110.0~),
+               libkf5coreaddons-dev (>= 5.110.0~),
+               libkf5crash-dev (>= 5.110.0~),
+               libkf5dbusaddons-dev (>= 5.110.0~),
+               libkf5windowsystem-dev (>= 5.110.0~),
                libqt5sql5-sqlite,
                libqt5x11extras5-dev (>= 5.15.2~),
                libx11-dev,

## kglobalaccel 5.113.0

=== debian/changelog ===
kglobalaccel (5.113.0-0ubuntu1) noble; urgency=medium

  * New upstream release (5.113.0)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Fri, 15 Dec 2023 13:43:06 +0000

kglobalaccel (5.112.0-0ubuntu1) noble; urgency=medium

  * New upstream release (5.112.0)

 -- Rik Mills <rikmills@kde.org>  Sun, 12 Nov 2023 14:47:58 +0000

kglobalaccel (5.111.0-0ubuntu1) noble; urgency=medium

  * New upstream release (5.111.0)

 -- Rik Mills <rikmills@kde.org>  Tue, 07 Nov 2023 23:57:37 +0000

=== debian/control ===
--- 
+++ 
@@ -7,12 +7,12 @@
 Build-Depends: cmake (>= 3.16~),
                debhelper-compat (= 13),
                doxygen,
-               extra-cmake-modules (>= 5.110.0~),
-               libkf5config-dev (>= 5.110.0~),
-               libkf5coreaddons-dev (>= 5.110.0~),
-               libkf5crash-dev (>= 5.110.0~),
-               libkf5dbusaddons-dev (>= 5.110.0~),
-               libkf5windowsystem-dev (>= 5.110.0~),
+               extra-cmake-modules (>= 5.113.0~),
+               libkf5config-dev (>= 5.113.0~),
+               libkf5coreaddons-dev (>= 5.113.0~),
+               libkf5crash-dev (>= 5.113.0~),
+               libkf5dbusaddons-dev (>= 5.113.0~),
+               libkf5windowsystem-dev (>= 5.113.0~),
                libqt5sql5-sqlite,
                libqt5x11extras5-dev (>= 5.15.2~),
                libx11-dev,

## kglobalaccel 5.115.0

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.16)

set(KF_VERSION "5.115.0") # handled by release scripts
set(KF_DEP_VERSION "5.115.0") # handled by release scripts
project(KGlobalAccel VERSION ${KF_VERSION})

# ECM setup
include(FeatureSummary)
find_package(ECM 5.115.0  NO_MODULE)
set_package_properties(ECM PROPERTIES TYPE REQUIRED DESCRIPTION "Extra CMake Modules." URL "https://commits.kde.org/extra-cmake-modules")
feature_summary(WHAT REQUIRED_PACKAGES_NOT_FOUND FATAL_ON_MISSING_REQUIRED_PACKAGES)

set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH})

include(KDEInstallDirs)
include(KDECMakeSettings)
include(KDEGitCommitHooks)
include(KDEFrameworkCompilerSettings NO_POLICY_SCOPE)

include(ECMGenerateExportHeader)
include(CMakePackageConfigHelpers)
include(ECMSetupVersion)
include(ECMGenerateHeaders)
include(ECMAddQch)
include(ECMMarkNonGuiExecutable)
include(ECMQtDeclareLoggingCategory)
include(ECMPoQmTools)
include(ECMDeprecationSettings)

set(EXCLUDE_DEPRECATED_BEFORE_AND_AT 0 CACHE STRING "Control the range of deprecated API excluded from the build [default=0].")

option(BUILD_RUNTIME "Build the kglobalacceld runtime" ON)
add_feature_info(BUILD_RUNTIME ${BUILD_RUNTIME} "The kglobalacceld runtime")

option(KF6_COMPAT_BUILD "Don't build runtime components that conflict with KF6" OFF)

option(BUILD_QCH "Build API documentation in QCH format (for e.g. Qt Assistant, Qt Creator & KDevelop)" OFF)
add_feature_info(QCH ${BUILD_QCH} "API documentation in QCH format (for e.g. Qt Assistant, Qt Creator & KDevelop)")

ecm_setup_version(PROJECT VARIABLE_PREFIX KGLOBALACCEL
                        VERSION_HEADER "${CMAKE_CURRENT_BINARY_DIR}/kglobalaccel_version.h"
                        PACKAGE_VERSION_FILE "${CMAKE_CURRENT_BINARY_DIR}/KF5GlobalAccelConfigVersion.cmake"
                        SOVERSION 5)

# Dependencies
set(REQUIRED_QT_VERSION 5.15.2)
find_package(Qt${QT_MAJOR_VERSION} ${REQUIRED_QT_VERSION} CONFIG REQUIRED DBus Widgets)

# Dependencies of runtime component
if (BUILD_RUNTIME)
    find_package(KF5Config ${KF_DEP_VERSION} REQUIRED)
    find_package(KF5CoreAddons ${KF_DEP_VERSION} REQUIRED)
    find_package(KF5Crash ${KF_DEP_VERSION} REQUIRED)
    find_package(KF5DBusAddons ${KF_DEP_VERSION} REQUIRED)
    find_package(KF5WindowSystem ${KF_DEP_VERSION} REQUIRED)
endif()

# no X11 stuff on mac
if (BUILD_RUNTIME AND NOT APPLE)
    find_package(XCB MODULE COMPONENTS XCB KEYSYMS XKB RECORD OPTIONAL_COMPONENTS XTEST)
    set_package_properties(XCB PROPERTIES DESCRIPTION "X protocol C-language Binding"
                       TYPE OPTIONAL
                      )

    find_package(X11)
endif()

set(HAVE_X11 0)

if(X11_FOUND AND XCB_XCB_FOUND)
    set(HAVE_X11 1)
    if (QT_MAJOR_VERSION STREQUAL "5")
        find_package(Qt5 ${REQUIRED_QT_VERSION} CONFIG REQUIRED X11Extras)
    elseif (QT_MAJOR_VERSION STREQUAL "6")
        find_package(Qt${QT_MAJOR_VERSION} ${REQUIRED_QT_VERSION} CONFIG REQUIRED Gui) # qtx11extras_p.h
    endif()
endif()

ecm_set_disabled_deprecation_versions(
    QT 5.15.2
    KF 5.95.0
)

# Subdirectories
ecm_install_po_files_as_qm(poqm)

add_subdirectory(src)
if (BUILD_TESTING)
    find_package(Qt${QT_MAJOR_VERSION} ${REQUIRED_QT_VERSION} CONFIG REQUIRED Test)

    add_subdirectory(tests)
    add_subdirectory(autotests)
endif()

# create a Config.cmake and a ConfigVersion.cmake file and install them
set(CMAKECONFIG_INSTALL_DIR "${KDE_INSTALL_CMAKEPACKAGEDIR}/KF5GlobalAccel")

if (BUILD_QCH)
    ecm_install_qch_export(
        TARGETS KF5GlobalAccel_QCH
        FILE KF5GlobalAccelQchTargets.cmake
        DESTINATION "${CMAKECONFIG_INSTALL_DIR}"
        COMPONENT Devel
    )
    set(PACKAGE_INCLUDE_QCHTARGETS "include(\"\${CMAKE_CURRENT_LIST_DIR}/KF5GlobalAccelQchTargets.cmake\")")
endif()

configure_package_config_file(
    "${CMAKE_CURRENT_SOURCE_DIR}/KF5GlobalAccelConfig.cmake.in"
    "${CMAKE_CURRENT_BINARY_DIR}/KF5GlobalAccelConfig.cmake"
    PATH_VARS KDE_INSTALL_DBUSINTERFACEDIR
    INSTALL_DESTINATION  ${CMAKECONFIG_INSTALL_DIR}
)

install(FILES  "${CMAKE_CURRENT_BINARY_DIR}/KF5GlobalAccelConfig.cmake"
               "${CMAKE_CURRENT_BINARY_DIR}/KF5GlobalAccelConfigVersion.cmake"
        DESTINATION "${CMAKECONFIG_INSTALL_DIR}"
        COMPONENT Devel )

install(EXPORT KF5GlobalAccelTargets DESTINATION "${CMAKECONFIG_INSTALL_DIR}" FILE KF5GlobalAccelTargets.cmake NAMESPACE KF5:: )


install(FILES ${CMAKE_CURRENT_BINARY_DIR}/kglobalaccel_version.h
        DESTINATION ${KDE_INSTALL_INCLUDEDIR_KF}/KGlobalAccel COMPONENT Devel)

feature_summary(WHAT ALL FATAL_ON_MISSING_REQUIRED_PACKAGES)

kde_configure_git_pre_commit_hook(CHECKS CLANG_FORMAT)

=== src/runtime/plugins/xcb/CMakeLists.txt ===
set(xcb_plugin_SRCS
    kglobalaccel_x11.cpp
    kglobalaccel_x11.h
    ../../logging.cpp
)

add_library(KF5GlobalAccelPrivateXcb MODULE ${xcb_plugin_SRCS})
target_link_libraries(KF5GlobalAccelPrivateXcb
    KF5GlobalAccelPrivate
    XCB::XCB
    XCB::KEYSYMS
    XCB::XKB
    XCB::RECORD
)

install(
    TARGETS
        KF5GlobalAccelPrivateXcb
    DESTINATION
        ${KDE_INSTALL_PLUGINDIR}/org.kde.kglobalaccel5.platforms/
)

=== debian/changelog ===
kglobalaccel (5.115.0-7) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * Release to unstable.

 -- Aurélien COUDERC <coucouf@debian.org>  Sun, 24 Nov 2024 09:41:40 +0100

kglobalaccel (5.115.0-7~exp1) experimental; urgency=medium

  [ Patrick Franz ]
  * Disable the kglobalaccel daemon to allow co-instability with Plasma
    6.

  [ Aurélien COUDERC ]
  * Reintroduce libkf5globalaccel-bin as a transitional dummy package
    depending on kglobalacceld, some other KF5 frameworks like kxmlgui need
    it.

 -- Aurélien COUDERC <coucouf@debian.org>  Mon, 19 Aug 2024 00:43:44 +0200

kglobalaccel (5.115.0-6) unstable; urgency=medium

  * Revert the experimental changes that were uploaded too early. We will need
    this only when we ship Plasma 6 to experimental.

 -- Aurélien COUDERC <coucouf@debian.org>  Sun, 18 Aug 2024 23:32:07 +0200

kglobalaccel (5.115.0-5) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * Release to unstable.

 -- Aurélien COUDERC <coucouf@debian.org>  Sun, 18 Aug 2024 16:17:48 +0200

kglobalaccel (5.115.0-4) experimental; urgency=medium

  * Reintroduce libkf5globalaccel-bin as a transitional dummy package
    depending on kglobalacceld, some other KF5 frameworks like kxmlgui need
    it.

 -- Aurélien COUDERC <coucouf@debian.org>  Wed, 10 Jul 2024 19:32:55 +0200

kglobalaccel (5.115.0-3) experimental; urgency=medium

  [ Patrick Franz ]
  * Disable the kglobalaccel daemon to allow co-instability with Plasma 6.

 -- Patrick Franz <deltaone@debian.org>  Sat, 15 Jun 2024 12:32:45 +0200

kglobalaccel (5.115.0-2) unstable; urgency=medium

  [ Patrick Franz ]
  * Upload to unstable.

 -- Patrick Franz <deltaone@debian.org>  Sun, 05 May 2024 00:14:39 +0200

kglobalaccel (5.115.0-1) experimental; urgency=medium

  [ Patrick Franz ]
  * New upstream release (5.115.0).
  * Update build-deps and deps with the info from cmake.
  * Add myself to Uploaders.
  * Build-depend on pkgconf instead of pkg-config as the latter has been
    superseded by the former.

 -- Patrick Franz <deltaone@debian.org>  Tue, 19 Mar 2024 00:02:01 +0100

=== debian/control ===
Source: kglobalaccel
Section: libs
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Aurélien COUDERC <coucouf@debian.org>,
           Patrick Franz <deltaone@debian.org>,
Build-Depends: cmake (>= 3.16~),
               debhelper-compat (= 13),
               dh-sequence-kf5,
               dh-sequence-pkgkde-symbolshelper,
               doxygen,
               extra-cmake-modules (>= 5.115.0~),
               libkf5config-dev (>= 5.115.0~),
               libkf5coreaddons-dev (>= 5.115.0~),
               libkf5crash-dev (>= 5.115.0~),
               libkf5dbusaddons-dev (>= 5.115.0~),
               libkf5windowsystem-dev (>= 5.115.0~),
               libqt5sql5-sqlite,
               libqt5x11extras5-dev (>= 5.15.2~),
               libx11-dev,
               libxcb-keysyms1-dev,
               libxcb-record0-dev,
               libxcb-xkb-dev,
               libxcb-xtest0-dev,
               libxcb1-dev,
               pkgconf,
               qtbase5-dev (>= 5.15.2~),
               qtdeclarative5-dev,
               qttools5-dev,
               qttools5-dev-tools,
               xauth <!nocheck>,
               xvfb <!nocheck>,
Standards-Version: 4.6.2
Homepage: https://invent.kde.org/frameworks/kglobalaccel
Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kglobalaccel
Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kglobalaccel.git
Rules-Requires-Root: no

Package: libkf5globalaccel-bin
Section: oldlibs
Architecture: all
Depends: kglobalacceld,
         ${misc:Depends},
Description: configurable global shortcut support - transitional dummy package
 This is a transitional dummy package.
 .
 The global accelerators daemon is now shipped by the kglobalacceld package
 part of Plasma 6.

Package: libkf5globalaccel-data
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends},
Description: Configurable global shortcut support.
 KGlobalAccel allows you to have global accelerators that are
 independent of the focused window. Unlike regular shortcuts,
 the application's window does not need focus for them to be
 activated.
 .
 This package contains data files.

Package: libkf5globalaccel-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: libkf5globalaccel5 (= ${binary:Version}),
         libkf5globalaccelprivate5 (= ${binary:Version}),
         qtbase5-dev (>= 5.15.2~),
         ${misc:Depends},
Recommends: libkf5globalaccel-doc (= ${source:Version}),
Description: development files for kglobalaccel
 KGlobalAccel allows you to have global accelerators that are
 independent of the focused window. Unlike regular shortcuts,
 the application's window does not need focus for them to be
 activated.
 .
 Contains development files for kglobalaccel.

Package: libkf5globalaccel-doc
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends},
Description: Configurable global shortcut support (documentation)
 KGlobalAccel allows you to have global accelerators that are
 independent of the focused window. Unlike regular shortcuts,
 the application's window does not need focus for them to be
 activated.
 .
 This package contains the qch documentation files.
Section: doc

Package: libkf5globalaccel5
Architecture: any
Multi-Arch: same
Depends: libkf5globalaccel-data (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Recommends: kglobalacceld,
Description: Configurable global shortcut support.
 KGlobalAccel allows you to have global accelerators that are
 independent of the focused window. Unlike regular shortcuts,
 the application's window does not need focus for them to be
 activated.

Package: libkf5globalaccelprivate5
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends},
Description: Configurable global shortcut support - private runtime library
 KGlobalAccel allows you to have global accelerators that are
 independent of the focused window. Unlike regular shortcuts,
 the application's window does not need focus for them to be
 activated.
 .
 This library is considered private and must not be used by users of
 KGlobalAccel.

## kglobalaccel 5.116.0

=== autotests/CMakeLists.txt ===
remove_definitions(-DQT_NO_CAST_FROM_BYTEARRAY)
remove_definitions(-DQT_NO_CAST_FROM_ASCII)
remove_definitions(-DQT_NO_CAST_TO_ASCII)

set(additionalLibraries )
if(HAVE_X11 AND XCB_XTEST_FOUND)
    add_definitions(-DHAVE_XCB_XTEST)
    set(additionalLibraries XCB::XTEST XCB::KEYSYMS)
    if (TARGET Qt5::X11Extras)
        list(APPEND additionalLibraries Qt5::X11Extras)
    elseif (TARGET Qt6::Gui)
        list(APPEND additionalLibraries Qt6::GuiPrivate) # qtx11extras_p.h
    endif()
endif()

include(ECMAddTests)

if (BUILD_RUNTIME)
    ecm_add_tests(
        kglobalshortcuttest.cpp
        LINK_LIBRARIES Qt${QT_MAJOR_VERSION}::Test KF5::GlobalAccelPrivate ${additionalLibraries}
    )
endif()

=== debian/changelog ===
kglobalaccel (5.116.0-1ubuntu1) questing; urgency=medium

  * Merge from Debian. Remaining changes:
    - Kubuntu Vcs and maintainer fields.
    - Rename plasma systemd service so libkf5globalaccel-bin does not have
      conflicting files with the new kglobalacceld packages from plasma 6.
    - Disable acc test.
    - Fix lintian overrides.

 -- Rik Mills <rikmills@kde.org>  Sat, 10 May 2025 09:17:07 +0100

kglobalaccel (5.116.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.116.0).
  * Update build-deps and deps with the info from cmake.
  * Bump Standards-Version to 4.7.2, no change required.

 -- Aurélien COUDERC <coucouf@debian.org>  Sun, 13 Apr 2025 00:41:51 +0200

kglobalaccel (5.116.0-0ubuntu3) oracular; urgency=medium

  * Remove testing changelog entry that was not uploaded.

 -- Rik Mills <rikmills@kde.org>  Thu, 11 Jul 2024 08:39:35 +0100

kglobalaccel (5.116.0-0ubuntu2) oracular; urgency=medium

  * Rename plasma systemd service so libkf5globalaccel-bin does not have
    conflicting files with the new kglobalacceld packages from plasma 6.

 -- Rik Mills <rikmills@kde.org>  Tue, 09 Jul 2024 21:13:29 +0100

kglobalaccel (5.116.0-0ubuntu1) oracular; urgency=medium

  * New upstream release (5.116.0)
  * Replace obsolete pkg-config build depend with pkgconf

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Tue, 14 May 2024 04:42:07 +0100

kglobalaccel (5.115.0-0ubuntu5) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 31 Mar 2024 01:31:27 +0000

kglobalaccel (5.115.0-0ubuntu4) noble; urgency=medium

  * No-change rebuild against libqt5core5t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 15 Mar 2024 04:57:35 +0000

kglobalaccel (5.115.0-0ubuntu3) noble; urgency=medium

  * Bump build deps

 -- Scarlett Moore <sgmoore@debian.org>  Mon, 19 Feb 2024 07:54:41 -0700

kglobalaccel (5.115.0-0ubuntu2) noble; urgency=medium

  * Bump build deps

 -- Scarlett Moore <sgmoore@debian.org>  Mon, 19 Feb 2024 07:12:42 -0700

kglobalaccel (5.115.0-0ubuntu1) noble; urgency=medium

  * New upstream release (5.114.0)
  * New upstream release (5.115.0)

 -- Scarlett Moore <sgmoore@debian.org>  Fri, 16 Feb 2024 07:51:04 -0700

=== debian/control ===
--- 
+++ 
@@ -1,20 +1,21 @@
 Source: kglobalaccel
 Section: libs
 Priority: optional
-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Aurélien COUDERC <coucouf@debian.org>,
            Patrick Franz <deltaone@debian.org>,
-Build-Depends: cmake (>= 3.16~),
-               debhelper-compat (= 13),
+Build-Depends: debhelper-compat (= 13),
                dh-sequence-kf5,
                dh-sequence-pkgkde-symbolshelper,
+               cmake (>= 3.16~),
                doxygen,
-               extra-cmake-modules (>= 5.115.0~),
-               libkf5config-dev (>= 5.115.0~),
-               libkf5coreaddons-dev (>= 5.115.0~),
-               libkf5crash-dev (>= 5.115.0~),
-               libkf5dbusaddons-dev (>= 5.115.0~),
-               libkf5windowsystem-dev (>= 5.115.0~),
+               extra-cmake-modules (>= 5.116.0~),
+               libkf5config-dev (>= 5.116.0~),
+               libkf5coreaddons-dev (>= 5.116.0~),
+               libkf5crash-dev (>= 5.116.0~),
+               libkf5dbusaddons-dev (>= 5.116.0~),
+               libkf5windowsystem-dev (>= 5.116.0~),
                libqt5sql5-sqlite,
                libqt5x11extras5-dev (>= 5.15.2~),
                libx11-dev,
@@ -30,27 +31,31 @@
                qttools5-dev-tools,
                xauth <!nocheck>,
                xvfb <!nocheck>,
-Standards-Version: 4.6.2
+Standards-Version: 4.7.2
 Homepage: https://invent.kde.org/frameworks/kglobalaccel
-Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kglobalaccel
-Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kglobalaccel.git
+Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kglobalaccel
+Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kglobalaccel
 Rules-Requires-Root: no
 
 Package: libkf5globalaccel-bin
-Section: oldlibs
-Architecture: all
-Depends: kglobalacceld,
+Architecture: any
+Depends: libkf5globalaccel-data (= ${source:Version}),
          ${misc:Depends},
-Description: configurable global shortcut support - transitional dummy package
- This is a transitional dummy package.
+         ${shlibs:Depends},
+Breaks: libkf5globalaccel-data (<< 5.77.0-3~)
+Replaces: libkf5globalaccel-data (<< 5.77.0-3~)
+Description: Configurable global shortcut support.
+ KGlobalAccel allows you to have global accelerators that are
+ independent of the focused window. Unlike regular shortcuts,
+ the application's window does not need focus for them to be
+ activated.
  .
- The global accelerators daemon is now shipped by the kglobalacceld package
- part of Plasma 6.
+ This package contains binaries.
 
 Package: libkf5globalaccel-data
 Architecture: all
 Multi-Arch: foreign
-Depends: ${misc:Depends},
+Depends: ${misc:Depends}, ${shlibs:Depends}
 Description: Configurable global shortcut support.
  KGlobalAccel allows you to have global accelerators that are
  independent of the focused window. Unlike regular shortcuts,

=== debian/rules ===
--- 
+++ 
@@ -7,10 +7,13 @@
 	dh $@
 
 override_dh_auto_configure:
+	cp src/runtime/plasma-kglobalaccel.service.in \
+	src/runtime/plasma-kglobalaccel5.service.in
 	dh_auto_configure -- -DBUILD_QCH=ON
 
 override_dh_shlibdeps:
 	dh_shlibdeps -- -xlibkf5globalaccel-bin
 
 override_dh_auto_test:
-	xvfb-run -a dh_auto_test
+	# Disable auto tests at build time
+	:
